Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class StatisticsModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.StatisticsModel

All Implemented Interfaces:
  `Serializable`

    public class StatisticsModel
    extends BaseModel

See Also:
  Serialized Form

### Field Summary

Fields
`List<DataObjectModel>` `dataObjects`
`List<EventModel>` `events`
`List<HeavyHitterModel>` `heavyHitters`
`List<RequestModel>` `requests`
`List<TrafficModel>` `traffic`
`List<UtilizationModel>` `utilization`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`StatisticsModel()`
`StatisticsModel​(List<UtilizationModel> utilization, List<TrafficModel> traffic, List<EventModel> events, List<DataObjectModel> dataObjects, List<RequestModel> requests, List<HeavyHitterModel> heavyHitters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### utilization

    public List<UtilizationModel> utilization

#### traffic

    public List<TrafficModel> traffic

#### events

    public List<EventModel> events

#### dataObjects

    public List<DataObjectModel> dataObjects

#### requests

    public List<RequestModel> requests

#### heavyHitters

    public List<HeavyHitterModel> heavyHitters

### Constructor Detail

#### StatisticsModel

    public StatisticsModel()

#### StatisticsModel

    public StatisticsModel​(List<UtilizationModel> utilization,
                           List<TrafficModel> traffic,
                           List<EventModel> events,
                           List<DataObjectModel> dataObjects,
                           List<RequestModel> requests,
                           List<HeavyHitterModel> heavyHitters)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`